Page MenuHomePhabricator

Infinite recursion between user and session loading
Closed, ResolvedPublic

Description

fatal.log has lots of these.

2016-01-20 07:21:34 mw1256 mediawikiwiki fatal ERROR: [6cd6a432] PHP Fatal Error: Stack overflow {"exception_id":"6cd6a432"} 
[Exception ErrorException] (/srv/mediawiki/php-1.27.0-wmf.11/includes/libs/objectcache/MemcachedBagOStuff.php:177) PHP Fatal Error: Stack overflow
  #0 /srv/mediawiki/php-1.27.0-wmf.11/includes/libs/objectcache/MemcachedBagOStuff.php(177): NO_FUNCTION_GIVEN()
  #1 /srv/mediawiki/php-1.27.0-wmf.11/includes/objectcache/MemcachedPeclBagOStuff.php(208): MemcachedBagOStuff->debugLog(string)
  #2 /srv/mediawiki/php-1.27.0-wmf.11/includes/libs/objectcache/WANObjectCache.php(253): MemcachedPeclBagOStuff->getMulti(array)
  #3 /srv/mediawiki/php-1.27.0-wmf.11/includes/libs/objectcache/WANObjectCache.php(210): WANObjectCache->getMulti(array, array, array)
  #4 /srv/mediawiki/php-1.27.0-wmf.11/extensions/CentralAuth/includes/CentralAuthUser.php(410): WANObjectCache->get(string)
  #5 /srv/mediawiki/php-1.27.0-wmf.11/extensions/CentralAuth/includes/CentralAuthUser.php(284): CentralAuthUser->loadFromCache()
  #6 /srv/mediawiki/php-1.27.0-wmf.11/extensions/CentralAuth/includes/CentralAuthUser.php(2092): CentralAuthUser->loadState()
  #7 /srv/mediawiki/php-1.27.0-wmf.11/extensions/CentralAuth/includes/session/CentralAuthSessionProvider.php(144): CentralAuthUser->renameInProgress()
  #8 /srv/mediawiki/php-1.27.0-wmf.11/includes/session/SessionManager.php(610): CentralAuthSessionProvider->provideSessionInfo(WebRequest)
  #9 /srv/mediawiki/php-1.27.0-wmf.11/includes/session/SessionManager.php(190): MediaWiki\Session\SessionManager->getSessionInfoForRequest(WebRequest)
  #10 /srv/mediawiki/php-1.27.0-wmf.11/includes/WebRequest.php(661): MediaWiki\Session\SessionManager->getSessionForRequest(WebRequest)
  #11 /srv/mediawiki/php-1.27.0-wmf.11/includes/user/User.php(1089): WebRequest->getSession()
  #12 /srv/mediawiki/php-1.27.0-wmf.11/includes/user/User.php(378): User->loadDefaults()
  #13 /srv/mediawiki/php-1.27.0-wmf.11/includes/user/User.php(356): User->loadFromId(integer)
  #14 /srv/mediawiki/php-1.27.0-wmf.11/includes/session/UserInfo.php(88): User->load()
  #15 /srv/mediawiki/php-1.27.0-wmf.11/includes/session/CookieSessionProvider.php(116): MediaWiki\Session\UserInfo::newFromId(string)
  #16 /srv/mediawiki/php-1.27.0-wmf.11/extensions/CentralAuth/includes/session/CentralAuthSessionProvider.php(161): MediaWiki\Session\CookieSessionProvider->provideSessionInfo(WebRequest)
[repeat #8-16 ad inf.]

Event Timeline

Tgr created this task.Jan 20 2016, 7:26 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a subscriber: Tgr.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 20 2016, 7:26 AM

Change 265304 had a related patch set uploaded (by Anomie):
Only check LoggedOut timestamp on the user loaded from session

https://gerrit.wikimedia.org/r/265304

Change 265304 merged by jenkins-bot:
Only check LoggedOut timestamp on the user loaded from session

https://gerrit.wikimedia.org/r/265304

greg added a subscriber: greg.Jan 20 2016, 9:53 PM

Change 265403 had a related patch set uploaded (by Gergő Tisza):
Only check LoggedOut timestamp on the user loaded from session

https://gerrit.wikimedia.org/r/265403

Change 265403 merged by jenkins-bot:
Only check LoggedOut timestamp on the user loaded from session

https://gerrit.wikimedia.org/r/265403

Tgr closed this task as Resolved.Jan 21 2016, 1:34 AM
Tgr claimed this task.

The errors are gone, so I am closing this. No clue what the user impact was, due to T124263.